Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000507TestLinkNew Featurepublic2006-11-26 03:142008-06-26 15:47
Reportermhalttu 
Assigned Tofman 
PrioritylowSeverityfeature requestReproducibilityN/A
StatusclosedResolutionduplicate 
PlatformOSOS Version
Product Version 
Fixed in Version 
Summary0000507: [multiple steps] - Test Specification: Separete steps and results
DescriptionI'd like to see and manage test case steps and result for each step in their own fields. Adding new steps between old steps should be essential, too.

Like this:

 Step 1 | Result 1
 Step 2 | Result 2
 Step 3 | Result 3
 Step 3 | Result 4
Additional InformationOne way to implement this is to manage steps and results with some delimitter in database fields and use Javascript to manage this in UI.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon ST19.jpg [^] (149,439 bytes) 2008-02-18 23:20

- Relationships
related to 0000422closedfman [multiple steps] - possibility to split execution steps 
related to 0001191closedmhavlat Possibility to upload test-proofs 
related to 0001310closedfman [multiple steps] - Multiple test steps and expected results 

-  Notes
(0002150)
mhavlat (reporter)
2007-09-16 05:08

That's like TestDirector behaviour. I'm not sure if this issue is not duplicated.
(0002156)
fman (administrator)
2007-09-17 13:33

I think this can be an interesting feature, but needs DB schema changes and we ned to figure the effort to change a lot of code regarding getting test case info.
(0002157)
mhalttu (reporter)
2007-09-17 14:18

I think that bd schema changes could be avoided, if some xml could be used in formatting steps and results. Of course than needs some coding for user interface, but that could be done as an option, maybe. So server side is "as usual", but some installations could use different "test case editor" to save test case steps and resulsts as xml into db.
(0002158)
fman (administrator)
2007-09-17 14:35

I don't like using XML to create a DB inside the DB, to manage what IMHO must be a DB change.
My vote to do this development using XML is No, I prefer to maintain the data model as clear as possibile => change schema.
(0002160)
mhavlat (reporter)
2007-09-17 16:10

mhalttu,
we discuss it two years ago. I also suggest to use xml to structure it. But other core developers disagree, so nobody do anything.
I still think that it's the best way.
(0002161)
fman (administrator)
2007-09-17 16:23

I will try write a proposal, trying to compare pro and cons of both solution,
with code impacts.
after this, we can discuss what and when to do.

IMHO is not a critical issue.
(0002218)
mhavlat (reporter)
2007-09-24 05:01

I moved this to state acknowledge. It seems that there is agreement that the feature is useful. However implementation is unclear.
(0003730)
mhavlat (reporter)
2008-06-26 15:47

Guys, I'm closing this record as duplicated to 1310. Please, set monitoring these issue 1310 if you interesting in a progress. Thanks

- Issue History
Date Modified Username Field Change
2006-11-26 03:14 mhalttu New Issue
2007-02-19 23:23 mhavlat Project Testlink 1.6.x => TestLink
2007-09-16 05:08 mhavlat Note Added: 0002150
2007-09-17 13:33 fman Note Added: 0002156
2007-09-17 14:18 mhalttu Note Added: 0002157
2007-09-17 14:35 fman Note Added: 0002158
2007-09-17 16:10 mhavlat Note Added: 0002160
2007-09-17 16:23 fman Note Added: 0002161
2007-09-24 05:01 mhavlat Note Added: 0002218
2007-09-24 05:01 mhavlat Priority normal => low
2007-09-24 05:01 mhavlat Status new => acknowledged
2007-09-24 05:01 mhavlat Summary Separete steps and results => Test Specification: Separete steps and results
2007-09-24 05:11 mhavlat Relationship added related to 0000422
2007-11-20 06:40 mhavlat Relationship added related to 0001191
2008-01-23 15:29 fman Relationship added related to 0001310
2008-01-23 17:19 fman Status acknowledged => assigned
2008-01-23 17:19 fman Assigned To => fman
2008-01-30 16:30 fman Summary Test Specification: Separete steps and results => [multiple steps] - Test Specification: Separete steps and results
2008-02-18 23:20 Danilo File Added: ST19.jpg
2008-06-26 15:47 mhavlat Status assigned => closed
2008-06-26 15:47 mhavlat Note Added: 0003730
2008-06-26 15:47 mhavlat Resolution open => duplicate



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker